Package org.eclipse.microprofile.openapi.apps.airlines.exception

## Class ApiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.microprofile.openapi.apps.airlines.exception.ApiException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BadRequestException`, `NotFoundException`

    public class ApiException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ApiException​(int code, String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApiException

    public ApiException​(int code,
                        String msg)